/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <bonobo.h>
#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#define GLADE_HOOKUP_OBJECT(component,widget,name) \
  g_object_set_data_full (G_OBJECT (component), name, \
    gtk_widget_ref (widget), (GDestroyNotify) gtk_widget_unref)

#define GLADE_HOOKUP_OBJECT_NO_REF(component,widget,name) \
  g_object_set_data (G_OBJECT (component), name, widget)

static GnomeUIInfo file1_menu_uiinfo[] =
{
  {
    GNOME_APP_UI_ITEM, N_("Play _Directory"),
    NULL,
    (gpointer) on_open_directory1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_STOCK, "gtk-open",
    GDK_d, (GdkModifierType) GDK_CONTROL_MASK, NULL
  },
  {
    GNOME_APP_UI_ITEM, N_("Play _File"),
    NULL,
    (gpointer) on_open_file1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_STOCK, "gtk-open",
    GDK_o, (GdkModifierType) GDK_CONTROL_MASK, NULL
  },
  GNOMEUIINFO_SEPARATOR,
  GNOMEUIINFO_MENU_EXIT_ITEM (on_quit1_activate, NULL),
  GNOMEUIINFO_END
};

static GnomeUIInfo repeat_all1_uiinfo[] =
{
  {
    GNOME_APP_UI_ITEM, N_("_Repeat All"),
    NULL,
    (gpointer) on_repeat_all1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_NONE, NULL,
    GDK_r, (GdkModifierType) GDK_CONTROL_MASK, NULL
  },
  {
    GNOME_APP_UI_ITEM, N_("Repeat _One"),
    NULL,
    (gpointer) on_repeat_one1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_NONE, NULL,
    GDK_o, (GdkModifierType) GDK_CONTROL_MASK, NULL
  },
  {
    GNOME_APP_UI_ITEM, N_("_Shuffle"),
    NULL,
    (gpointer) on_shuffle1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_NONE, NULL,
    GDK_s, (GdkModifierType) GDK_CONTROL_MASK, NULL
  },
  {
    GNOME_APP_UI_ITEM, N_("_No Repeat"),
    NULL,
    (gpointer) on_no_repeat1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_NONE, NULL,
    GDK_n, (GdkModifierType) GDK_CONTROL_MASK, NULL
  },
  GNOMEUIINFO_END
};

static GnomeUIInfo mode1_menu_uiinfo[] =
{
  {
    GNOME_APP_UI_RADIOITEMS, NULL, NULL, repeat_all1_uiinfo,
    NULL, NULL, GNOME_APP_PIXMAP_NONE, NULL, 0,
    (GdkModifierType) 0, NULL
  },
  GNOMEUIINFO_END
};

static GnomeUIInfo tools1_menu_uiinfo[] =
{
  {
    GNOME_APP_UI_ITEM, N_("_last.fm"),
    NULL,
    (gpointer) on_lastfm1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_NONE, NULL,
    0, (GdkModifierType) 0, NULL
  },
  GNOMEUIINFO_END
};

static GnomeUIInfo help1_menu_uiinfo[] =
{
  {
    GNOME_APP_UI_ITEM, N_("How to _Use"),
    NULL,
    (gpointer) on_how_to_use1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_STOCK, "gtk-help",
    GDK_u, (GdkModifierType) GDK_CONTROL_MASK, NULL
  },
  GNOMEUIINFO_MENU_ABOUT_ITEM (on_about1_activate, NULL),
  GNOMEUIINFO_END
};

static GnomeUIInfo menubar1_uiinfo[] =
{
  GNOMEUIINFO_MENU_FILE_TREE (file1_menu_uiinfo),
  {
    GNOME_APP_UI_SUBTREE, N_("_Mode"),
    NULL,
    mode1_menu_uiinfo, NULL, NULL,
    GNOME_APP_PIXMAP_NONE, NULL,
    GDK_m, (GdkModifierType) GDK_MOD1_MASK, NULL
  },
  {
    GNOME_APP_UI_ITEM, N_("_Recent"),
    NULL,
    (gpointer) on_recent1_activate, NULL, NULL,
    GNOME_APP_PIXMAP_NONE, NULL,
    GDK_r, (GdkModifierType) GDK_MOD1_MASK, NULL
  },
  {
    GNOME_APP_UI_SUBTREE, N_("_Tools"),
    NULL,
    tools1_menu_uiinfo, NULL, NULL,
    GNOME_APP_PIXMAP_NONE, NULL,
    0, (GdkModifierType) 0, NULL
  },
  GNOMEUIINFO_MENU_HELP_TREE (help1_menu_uiinfo),
  GNOMEUIINFO_END
};

GtkWidget*
create_window1 (void)
{
  GtkWidget *window1;
  GtkWidget *vbox1;
  GtkWidget *menubar1;
  GtkWidget *hbox3;
  GtkWidget *vbox2;
  GtkWidget *label4;
  GtkWidget *hbox4;
  GtkWidget *label5;
  GtkWidget *label8;
  GtkWidget *hbox1;
  GtkWidget *button1;
  GtkWidget *button2;
  GtkWidget *button3;
  GtkWidget *button4;
  GtkWidget *hscale1;
  GtkWidget *label7;
  GtkWidget *vbox3;
  GtkWidget *image8;
  GtkWidget *vscale1;
  GtkWidget *statusbar1;
  GtkAccelGroup *accel_group;

  accel_group = gtk_accel_group_new ();

  window1 = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW (window1), _("Gnome Simple Stateful Music Player"));

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (window1), vbox1);

  menubar1 = gtk_menu_bar_new ();
  gtk_widget_show (menubar1);
  gtk_box_pack_start (GTK_BOX (vbox1), menubar1, FALSE, FALSE, 4);
  gnome_app_fill_menu (GTK_MENU_SHELL (menubar1), menubar1_uiinfo,
                       accel_group, FALSE, 0);

  hbox3 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox3);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox3, TRUE, TRUE, 0);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox2);
  gtk_box_pack_start (GTK_BOX (hbox3), vbox2, TRUE, TRUE, 0);

  label4 = gtk_label_new (_("<span size=\"large\"> </span>"));
  gtk_widget_show (label4);
  gtk_box_pack_start (GTK_BOX (vbox2), label4, TRUE, TRUE, 0);
  GTK_WIDGET_SET_FLAGS (label4, GTK_CAN_FOCUS);
  gtk_label_set_use_markup (GTK_LABEL (label4), TRUE);
  gtk_label_set_line_wrap (GTK_LABEL (label4), TRUE);
  gtk_label_set_selectable (GTK_LABEL (label4), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label4), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label4), 8, 5);

  hbox4 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox4);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox4, TRUE, TRUE, 0);

  label5 = gtk_label_new (_("Use the File menu to choose some music to play"));
  gtk_widget_show (label5);
  gtk_box_pack_start (GTK_BOX (hbox4), label5, TRUE, TRUE, 0);
  GTK_WIDGET_SET_FLAGS (label5, GTK_CAN_FOCUS);
  gtk_label_set_line_wrap (GTK_LABEL (label5), TRUE);
  gtk_label_set_selectable (GTK_LABEL (label5), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label5), 0, 0);
  gtk_misc_set_padding (GTK_MISC (label5), 16, 4);

  label8 = gtk_label_new ("");
  gtk_widget_show (label8);
  gtk_box_pack_start (GTK_BOX (hbox4), label8, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label8), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (label8), 1, 0.5);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox1, FALSE, TRUE, 4);

  button1 = gtk_button_new_from_stock ("gtk-media-previous");
  gtk_widget_show (button1);
  gtk_box_pack_start (GTK_BOX (hbox1), button1, FALSE, FALSE, 0);
  gtk_widget_set_size_request (button1, 90, -1);
  gtk_widget_add_accelerator (button1, "activate", accel_group,
                              GDK_Page_Up, (GdkModifierType) 0,
                              GTK_ACCEL_VISIBLE);
  gtk_widget_add_accelerator (button1, "activate", accel_group,
                              GDK_Left, (GdkModifierType) GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  button2 = gtk_button_new_from_stock ("gtk-media-play");
  gtk_widget_show (button2);
  gtk_box_pack_start (GTK_BOX (hbox1), button2, FALSE, FALSE, 0);
  gtk_widget_set_size_request (button2, 90, -1);
  gtk_widget_add_accelerator (button2, "activate", accel_group,
                              GDK_space, (GdkModifierType) 0,
                              GTK_ACCEL_VISIBLE);

  button3 = gtk_button_new_from_stock ("gtk-media-pause");
  gtk_widget_show (button3);
  gtk_box_pack_start (GTK_BOX (hbox1), button3, FALSE, FALSE, 0);
  gtk_widget_set_size_request (button3, 90, -1);
  gtk_widget_add_accelerator (button3, "activate", accel_group,
                              GDK_space, (GdkModifierType) 0,
                              GTK_ACCEL_VISIBLE);

  button4 = gtk_button_new_from_stock ("gtk-media-next");
  gtk_widget_show (button4);
  gtk_box_pack_start (GTK_BOX (hbox1), button4, FALSE, FALSE, 0);
  gtk_widget_set_size_request (button4, 90, -1);
  gtk_widget_add_accelerator (button4, "activate", accel_group,
                              GDK_Page_Down, (GdkModifierType) 0,
                              GTK_ACCEL_VISIBLE);
  gtk_widget_add_accelerator (button4, "activate", accel_group,
                              GDK_Right, (GdkModifierType) GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  hscale1 = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (0, 0, 0, 10, 10, 0)));
  gtk_widget_show (hscale1);
  gtk_box_pack_start (GTK_BOX (hbox1), hscale1, TRUE, TRUE, 2);
  gtk_widget_set_size_request (hscale1, 200, -1);
  gtk_scale_set_draw_value (GTK_SCALE (hscale1), FALSE);
  gtk_scale_set_digits (GTK_SCALE (hscale1), 0);

  label7 = gtk_label_new (_("0m 00s"));
  gtk_widget_show (label7);
  gtk_box_pack_start (GTK_BOX (hbox1), label7, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label7), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (label7), 1, 0.5);

  vbox3 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox3);
  gtk_box_pack_start (GTK_BOX (hbox3), vbox3, FALSE, FALSE, 5);

  image8 = gtk_image_new_from_stock ("gnome-stock-volume", GTK_ICON_SIZE_BUTTON);
  gtk_widget_show (image8);
  gtk_box_pack_start (GTK_BOX (vbox3), image8, FALSE, TRUE, 0);

  vscale1 = gtk_vscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (1, 0, 1.1, 0.1, 0.1, 0.1)));
  gtk_widget_show (vscale1);
  gtk_box_pack_start (GTK_BOX (vbox3), vscale1, TRUE, TRUE, 0);
  gtk_scale_set_draw_value (GTK_SCALE (vscale1), FALSE);
  gtk_scale_set_digits (GTK_SCALE (vscale1), 0);
  gtk_range_set_inverted (GTK_RANGE (vscale1), TRUE);

  statusbar1 = gtk_statusbar_new ();
  gtk_widget_show (statusbar1);
  gtk_box_pack_start (GTK_BOX (vbox1), statusbar1, FALSE, FALSE, 4);

  g_signal_connect ((gpointer) window1, "delete_event",
                    G_CALLBACK (on_window1_delete_event),
                    NULL);
  g_signal_connect ((gpointer) button1, "clicked",
                    G_CALLBACK (on_button1_clicked),
                    NULL);
  g_signal_connect ((gpointer) button2, "clicked",
                    G_CALLBACK (on_button2_clicked),
                    NULL);
  g_signal_connect ((gpointer) button3, "clicked",
                    G_CALLBACK (on_button3_clicked),
                    NULL);
  g_signal_connect ((gpointer) button4, "clicked",
                    G_CALLBACK (on_button4_clicked),
                    NULL);
  g_signal_connect ((gpointer) hscale1, "change_value",
                    G_CALLBACK (on_hscale1_change_value),
                    NULL);
  g_signal_connect ((gpointer) vscale1, "change_value",
                    G_CALLBACK (on_vscale1_change_value),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (window1, window1, "window1");
  GLADE_HOOKUP_OBJECT (window1, vbox1, "vbox1");
  GLADE_HOOKUP_OBJECT (window1, menubar1, "menubar1");
  GLADE_HOOKUP_OBJECT (window1, menubar1_uiinfo[0].widget, "file1");
  GLADE_HOOKUP_OBJECT (window1, file1_menu_uiinfo[0].widget, "open_directory1");
  GLADE_HOOKUP_OBJECT (window1, file1_menu_uiinfo[1].widget, "open_file1");
  GLADE_HOOKUP_OBJECT (window1, file1_menu_uiinfo[2].widget, "separator1");
  GLADE_HOOKUP_OBJECT (window1, file1_menu_uiinfo[3].widget, "quit1");
  GLADE_HOOKUP_OBJECT (window1, menubar1_uiinfo[1].widget, "mode1");
  GLADE_HOOKUP_OBJECT (window1, repeat_all1_uiinfo[0].widget, "repeat_all1");
  GLADE_HOOKUP_OBJECT (window1, repeat_all1_uiinfo[1].widget, "repeat_one1");
  GLADE_HOOKUP_OBJECT (window1, repeat_all1_uiinfo[2].widget, "shuffle1");
  GLADE_HOOKUP_OBJECT (window1, repeat_all1_uiinfo[3].widget, "no_repeat1");
  GLADE_HOOKUP_OBJECT (window1, menubar1_uiinfo[2].widget, "recent1");
  GLADE_HOOKUP_OBJECT (window1, menubar1_uiinfo[3].widget, "tools1");
  GLADE_HOOKUP_OBJECT (window1, tools1_menu_uiinfo[0].widget, "lastfm1");
  GLADE_HOOKUP_OBJECT (window1, menubar1_uiinfo[4].widget, "help1");
  GLADE_HOOKUP_OBJECT (window1, help1_menu_uiinfo[0].widget, "how_to_use1");
  GLADE_HOOKUP_OBJECT (window1, help1_menu_uiinfo[1].widget, "about1");
  GLADE_HOOKUP_OBJECT (window1, hbox3, "hbox3");
  GLADE_HOOKUP_OBJECT (window1, vbox2, "vbox2");
  GLADE_HOOKUP_OBJECT (window1, label4, "label4");
  GLADE_HOOKUP_OBJECT (window1, hbox4, "hbox4");
  GLADE_HOOKUP_OBJECT (window1, label5, "label5");
  GLADE_HOOKUP_OBJECT (window1, label8, "label8");
  GLADE_HOOKUP_OBJECT (window1, hbox1, "hbox1");
  GLADE_HOOKUP_OBJECT (window1, button1, "button1");
  GLADE_HOOKUP_OBJECT (window1, button2, "button2");
  GLADE_HOOKUP_OBJECT (window1, button3, "button3");
  GLADE_HOOKUP_OBJECT (window1, button4, "button4");
  GLADE_HOOKUP_OBJECT (window1, hscale1, "hscale1");
  GLADE_HOOKUP_OBJECT (window1, label7, "label7");
  GLADE_HOOKUP_OBJECT (window1, vbox3, "vbox3");
  GLADE_HOOKUP_OBJECT (window1, image8, "image8");
  GLADE_HOOKUP_OBJECT (window1, vscale1, "vscale1");
  GLADE_HOOKUP_OBJECT (window1, statusbar1, "statusbar1");

  gtk_widget_grab_focus (button2);
  gtk_window_add_accel_group (GTK_WINDOW (window1), accel_group);

  return window1;
}

GtkWidget*
create_aboutdialog1 (void)
{
  GtkWidget *aboutdialog1;
  const gchar *authors[] = {
    "Andy Balaam",
    NULL
  };
  /* TRANSLATORS: Replace this string with your names, one name per line. */
  gchar *translators = _("translator-credits");

  aboutdialog1 = gtk_about_dialog_new ();
  gtk_about_dialog_set_version (GTK_ABOUT_DIALOG (aboutdialog1), VERSION);
  gtk_about_dialog_set_name (GTK_ABOUT_DIALOG (aboutdialog1), _("GSSMP"));
  gtk_about_dialog_set_copyright (GTK_ABOUT_DIALOG (aboutdialog1), _("Copyright (c) 2007 by Andy Balaam"));
  gtk_about_dialog_set_license (GTK_ABOUT_DIALOG (aboutdialog1), _("Gnome Simple Stateful Music Player is copyright (C) 2007 Andy Balaam.\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA\n\nSee the file COPYING for more details."));
  gtk_about_dialog_set_wrap_license (GTK_ABOUT_DIALOG (aboutdialog1), TRUE);
  gtk_about_dialog_set_website (GTK_ABOUT_DIALOG (aboutdialog1), "http://gssmp.sourceforge.net");
  gtk_about_dialog_set_website_label (GTK_ABOUT_DIALOG (aboutdialog1), _("http://gssmp.sourceforge.net"));
  gtk_about_dialog_set_authors (GTK_ABOUT_DIALOG (aboutdialog1), authors);
  gtk_about_dialog_set_translator_credits (GTK_ABOUT_DIALOG (aboutdialog1), translators);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (aboutdialog1, aboutdialog1, "aboutdialog1");

  g_signal_connect ((gpointer) aboutdialog1, "response",
                    G_CALLBACK (on_about_response),
                    NULL);

  g_signal_connect ((gpointer) aboutdialog1, "delete_event",
                    G_CALLBACK (gtk_widget_hide_on_delete),
                    NULL);

  return aboutdialog1;
}

GtkWidget*
create_lastfmwindow (void)
{
  GtkWidget *lastfmwindow;
  GtkWidget *vbox4;
  GtkWidget *checkbutton1;
  GtkWidget *hbox5;
  GtkWidget *label9;
  GtkWidget *entry1;
  GtkWidget *label10;
  GtkWidget *hbox6;
  GtkWidget *label11;
  GtkWidget *button5;

  lastfmwindow = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW (lastfmwindow), _("GSSMP last.fm settings"));
  gtk_window_set_position (GTK_WINDOW (lastfmwindow), GTK_WIN_POS_CENTER_ON_PARENT);
  gtk_window_set_modal (GTK_WINDOW (lastfmwindow), TRUE);
  gtk_window_set_type_hint (GTK_WINDOW (lastfmwindow), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox4 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox4);
  gtk_container_add (GTK_CONTAINER (lastfmwindow), vbox4);

  checkbutton1 = gtk_check_button_new_with_mnemonic (_("Enable sending tracks to last.fm"));
  gtk_widget_show (checkbutton1);
  gtk_box_pack_start (GTK_BOX (vbox4), checkbutton1, FALSE, FALSE, 4);

  hbox5 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox5);
  gtk_box_pack_start (GTK_BOX (vbox4), hbox5, TRUE, TRUE, 4);

  label9 = gtk_label_new (_("lastfmsubmit executable:"));
  gtk_widget_show (label9);
  gtk_box_pack_start (GTK_BOX (hbox5), label9, FALSE, FALSE, 0);

  entry1 = gtk_entry_new ();
  gtk_widget_show (entry1);
  gtk_box_pack_start (GTK_BOX (hbox5), entry1, TRUE, TRUE, 4);
  gtk_entry_set_invisible_char (GTK_ENTRY (entry1), 9679);

  label10 = gtk_label_new (_("(Edit /etc/lastfmsubmitd.conf to give\nyour last.fm username and password)"));
  gtk_widget_show (label10);
  gtk_box_pack_start (GTK_BOX (vbox4), label10, FALSE, FALSE, 4);

  hbox6 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox6);
  gtk_box_pack_start (GTK_BOX (vbox4), hbox6, TRUE, TRUE, 0);

  label11 = gtk_label_new ("");
  gtk_widget_show (label11);
  gtk_box_pack_start (GTK_BOX (hbox6), label11, TRUE, FALSE, 0);

  button5 = gtk_button_new_with_mnemonic (_("Close"));
  gtk_widget_show (button5);
  gtk_box_pack_start (GTK_BOX (hbox6), button5, FALSE, FALSE, 4);

  g_signal_connect ((gpointer) lastfmwindow, "delete_event",
                    G_CALLBACK (on_lastfmwindow_delete_event),
                    NULL);
  g_signal_connect ((gpointer) checkbutton1, "toggled",
                    G_CALLBACK (on_checkbutton1_toggled),
                    NULL);
  g_signal_connect ((gpointer) entry1, "changed",
                    G_CALLBACK (on_entry1_changed),
                    NULL);
  g_signal_connect ((gpointer) button5, "clicked",
                    G_CALLBACK (on_button5_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (lastfmwindow, lastfmwindow, "lastfmwindow");
  GLADE_HOOKUP_OBJECT (lastfmwindow, vbox4, "vbox4");
  GLADE_HOOKUP_OBJECT (lastfmwindow, checkbutton1, "checkbutton1");
  GLADE_HOOKUP_OBJECT (lastfmwindow, hbox5, "hbox5");
  GLADE_HOOKUP_OBJECT (lastfmwindow, label9, "label9");
  GLADE_HOOKUP_OBJECT (lastfmwindow, entry1, "entry1");
  GLADE_HOOKUP_OBJECT (lastfmwindow, label10, "label10");
  GLADE_HOOKUP_OBJECT (lastfmwindow, hbox6, "hbox6");
  GLADE_HOOKUP_OBJECT (lastfmwindow, label11, "label11");
  GLADE_HOOKUP_OBJECT (lastfmwindow, button5, "button5");

  return lastfmwindow;
}

